<?php

namespace Bluebirdday\TranssmartSmartConnect\Block\Adminhtml\Carrier;

use Magento\OfflineShipping\Block\Adminhtml\Carrier\Tablerate\Grid as BaseGrid;

/**
 * Class Grid
 * @package Bluebirdday\TranssmartSmartConnect\Block\Adminhtml\Carrier
 */
class Grid extends BaseGrid
{
    /**
     * @inheritdoc
     */
    protected function _prepareCollection()
    {
        parent::_prepareCollection();
        /** @var \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection $collection */
        $collection = $this->getCollection();
        $collection->getSelect()->joinInner(
            ['booking_profile' => $collection->getTable('transsmart_booking_profile')],
            'main_table.transsmart_bookingprofile_id = booking_profile.profile_id',
            ['transsmart_bookingprofile_code' => 'booking_profile.code']
        );

        return $this;
    }

    /**
     * @inheritdoc
     */
    protected function _prepareColumns()
    {
        parent::_prepareColumns();

        $this->addColumn(
            'transsmart_bookingprofile_code',
            ['header' => __('Booking Profile'), 'index' => 'transsmart_bookingprofile_code']
        );

        return $this;
    }
}