<?php
namespace Bluebirdday\TranssmartSmartConnect\Block\Adminhtml\Form\Field;

use Magento\Framework\View\Element\Template;

/**
 * Class Dropdown
 *
 * We need a renderer inherited from \Magento\Framework\View\Element\AbstractBlock to
 * render elements like \Magento\Framework\Data\Form\Element\Select
 * in dynamic grids
 */
class Dropdown extends \Magento\Framework\View\Element\Template
{
    /**
     * @var \Magento\Framework\Data\Form\Element\Select
     */
    private $element;

    /**
     * Dropdown constructor.
     * @param Template\Context $context
     * @param \Magento\Framework\Data\Form\Element\Select $element
     * @param array $data
     */
    public function __construct(
        Template\Context $context,
        $element,
        array $data = []
    ) {
        $this->element = $element;
        parent::__construct($context, $data);
    }

    protected function _toHtml()
    {
        if (is_callable([$this->element, 'getElementHtml'])) {
            return str_replace("\n", '', $this->element->getElementHtml());
        } else {
            return '';
        }
    }
}
