<?php

namespace Bluebirdday\TranssmartSmartConnect\Block\Adminhtml\System\Config;

class Shipment extends \Magento\Config\Block\System\Config\Form\Field
{
    /**
     * @var \Bluebirdday\TranssmartSmartConnect\Model\Transsmart\SyncManagement
     */
    protected $syncManagement;

    /**
     * Shipment constructor.
     * @param \Magento\Backend\Block\Template\Context $context
     * @param \Bluebirdday\TranssmartSmartConnect\Model\Transsmart\SyncManagement $syncManagement
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \Bluebirdday\TranssmartSmartConnect\Model\Transsmart\SyncManagement $syncManagement,
        array $data = []
    ) {
        $this->syncManagement = $syncManagement;
        parent::__construct($context, $data);
    }

    /**
     * @param \Magento\Framework\Data\Form\Element\AbstractElement $element
     * @return string
     */
    public function render(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        return $this->toHtml();
    }

    /**
     * Get backend URL to load transmart config data
     *
     * @return string
     */
    public function getDataLoadUrl()
    {
        return $this->getUrl('transsmart/data/load');
    }

    /**
     * @return $this
     */
    protected function _prepareLayout()
    {
        parent::_prepareLayout();
        if (!$this->getTemplate()) {
            $this->setTemplate('Bluebirdday_TranssmartSmartConnect::system/config/shipment_sync.phtml');
        }
        return $this;
    }

    /**
     * @return string
     */
    public function getSyncDate()
    {
        return $this->syncManagement->getLatest()->getCreatedAt();
    }

    /**
     * @return string
     */
    public function getSyncStatus()
    {
        return $this->syncManagement->getLatest()->getStatus();
    }

    /**
     * @return string
     */
    public function getSyncMessage()
    {
        return $this->syncManagement->getLatest()->getMessage();
    }
}
