<?php

namespace Bluebirdday\TranssmartSmartConnect\Block\Frontend;

use Magento\Framework\View\Element\Template;
use Magento\Framework\App\Config\ScopeConfigInterface as ScopeConfig;


class Locator extends \Magento\Framework\View\Element\Template
{
    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */
    protected $scopeConfig;


    public function __construct(
        Template\Context $context,
        ScopeConfig $scopeConfig,
        array $data = []
    )
    {
        $this->scopeConfig  = $scopeConfig;

        parent::__construct($context, $data);
    }

    public function getGoogleMapsApiKey()
    {
        return $this->scopeConfig->getValue(
            'transsmart/pickup/googlemaps_api_key',
            \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }

    public function getSearchUrl()
    {
        return $this->getUrl('transsmart/pickup/location');
    }


    protected function _toHtml()
    {
        if ($this->getGoogleMapsApiKey()) {
            return '<script src="//maps.googleapis.com/maps/api/js?key='.$this->getGoogleMapsApiKey().'" async defer></script>';
        }

        return parent::_toHtml();
    }
}
