## Main classes

## Transsmart entities
These models reflect main entities provided by Transsmart:  
\Bluebirdday\TranssmartSmartConnect\Model\Booking\Profile
\Bluebirdday\TranssmartSmartConnect\Model\Mail\Type
\Bluebirdday\TranssmartSmartConnect\Model\Servicelevel\Time
\Bluebirdday\TranssmartSmartConnect\Model\Servicelevel\Other
\Bluebirdday\TranssmartSmartConnect\Model\Transsmart\Sync
\Bluebirdday\TranssmartSmartConnect\Model\Carrier
\Bluebirdday\TranssmartSmartConnect\Model\Costcenter
\Bluebirdday\TranssmartSmartConnect\Model\Incoterm
\Bluebirdday\TranssmartSmartConnect\Model\Package.  
Each entity model has a repository with the same name and "Repository" suffix.

## Tables
Each entity has its own table with 'transsmart_' prefix. For example `transsmart_service_level_other`.

## Source models for entities
Are located at Model/Adminhtml/System/Config/Source/*.

### Shipping rate providers
\Bluebirdday\TranssmartSmartConnect\Model\Carrier\Delivery  
This rate provider returns several rates if available.
\Bluebirdday\TranssmartSmartConnect\Model\Carrier\Tablerate  
This one overrides native Magento table rate and returns all available rates.
\Bluebirdday\TranssmartSmartConnect\Model\Shipping\Pickup  
This one provides minimal pickup rate from several available until pickup point is selected.


### API adapter
All API calls to Transsmart are implemented here:
\Bluebirdday\TranssmartSmartConnect\Model\Transsmart\Adapter.

### Data models for Transsmart API
\Bluebirdday\TranssmartSmartConnect\Model\Data\Address
\Bluebirdday\TranssmartSmartConnect\Model\Data\Container
\Bluebirdday\TranssmartSmartConnect\Model\Data\AdditionalReferences
\Bluebirdday\TranssmartSmartConnect\Model\Data\DeliveryNoteInfo
\Bluebirdday\TranssmartSmartConnect\Model\Data\DeliveryNoteLine
\Bluebirdday\TranssmartSmartConnect\Model\Data\Measurements
\Bluebirdday\TranssmartSmartConnect\Model\Data\Package
\Bluebirdday\TranssmartSmartConnect\Model\Data\Rate
\Bluebirdday\TranssmartSmartConnect\Model\Data\Shipment  
All these models are utilized on rate requests, booking and locations requests.

## Custom Events
'transsmart_sales_order_process_after' in \Bluebirdday\TranssmartSmartConnect\Observer\ReplaceOrderShippingAddressObserver