<?php

namespace Bluebirdday\TranssmartSmartConnect\Model\Adminhtml\System\Config\Source\Booking;

/**
 * Class Profile
 * @package Bluebirdday\TranssmartSmartConnect\Model\Adminhtml\System\Config\Source\Booking
 */
class Profile extends \Magento\Eav\Model\Entity\Attribute\Source\AbstractSource
{
    /**
     * @var \Bluebirdday\TranssmartSmartConnect\Model\Booking\ProfileRepository
     */
    private $repository;

    /**
     * Booking Profile constructor.
     * @param \Bluebirdday\TranssmartSmartConnect\Model\Booking\ProfileRepository $repository
     */
    public function __construct(
        \Bluebirdday\TranssmartSmartConnect\Model\Booking\ProfileRepository $repository
    ) {
        $this->repository = $repository;
    }

    /**
     * {@inheritdoc}
     */
    public function getAllOptions()
    {
        $options = [];
        $items = $this->repository->getList();
        /** @var \Bluebirdday\TranssmartSmartConnect\Model\Booking\Profile $item */
        foreach ($items as $item) {
            $description = $item->getDescription();
            $options[$item->getCode()] = $description;
        }

        return $options;
    }

    /**
     * @inheritdoc
     */
    public function toOptionArray()
    {
        $options = [];
        $items = $this->repository->getList();

        /** @var \Bluebirdday\TranssmartSmartConnect\Model\Booking\Profile $item */
        foreach ($items as $item) {
            $options[] = [
                'value' => $item->getId(),
                'label' => $item->getDescription()
            ];
        }

        return $options;
    }
}