<?php

namespace Bluebirdday\TranssmartSmartConnect\Model\Adminhtml\System\Config\Source\Mail;

class Type extends \Magento\Eav\Model\Entity\Attribute\Source\AbstractSource
{
    /**
     * @var \Bluebirdday\TranssmartSmartConnect\Model\Mail\TypeRepository
     */
    protected $repository;

    /**
     * Mail Type constructor.
     * @param \Bluebirdday\TranssmartSmartConnect\Model\Mail\TypeRepository $repository
     */
    public function __construct(
        \Bluebirdday\TranssmartSmartConnect\Model\Mail\TypeRepository $repository
    ) {
        $this->repository = $repository;
    }

    /**
     * {@inheritdoc}
     */
    public function getAllOptions()
    {
        $options = [];
        $items = $this->repository->getList();
        /** @var \Bluebirdday\TranssmartSmartConnect\Model\Mail\Type $item */
        foreach ($items as $item) {
            $description = $item->getDescription();
            if ($item->getIsDefault()) {
                $description .= __('(Transsmart default)');
            }
            $options[$item->getCode()] = $description;
        }

        return $options;
    }

    /**
     * @inheritdoc
     */
    public function toOptionArray()
    {
        $options = [];
        $items = $this->repository->getList();

        /** @var \Bluebirdday\TranssmartSmartConnect\Model\Mail\Type $item */
        foreach ($items as $item) {
            $options[] = [
                'value' => $item->getId(),
                'label' => $item->getDescription(),
                'is_default' => $item->getIsDefault()
            ];
        }

        return $options;
    }
}