<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Adminhtml\System\Config\Source\Mapping;

class Attribute extends \Magento\Eav\Model\Entity\Attribute\Source\AbstractSource
{
    protected $collectionFactory;

    public function __construct(
        \Magento\Catalog\Model\ResourceModel\Product\Attribute\CollectionFactory $collectionFactory
    ) {
        $this->collectionFactory = $collectionFactory;
    }

    /**
     * @return array
     */
    public function getAllOptions()
    {
        $options = [
            [
                'value' => '',
                'label' => __('(empty)')
            ]
        ];

        $attributeCollection = $this->collectionFactory->create();
        $attributeCollection
            ->addFieldToFilter('is_visible', 1)
            ->addFieldToFilter('frontend_input', ['nin' => ['media_image', 'gallery']])
            ->setOrder('frontend_label', $attributeCollection::SORT_ORDER_ASC);

        foreach ($attributeCollection as $attribute) {
            $options[] = [
                'value' => $attribute->getAttributeCode(),
                'label' => $attribute->getFrontendLabel()
            ];
        }

        return $options;
    }
}
