<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Booking;

/**
 * Class Profile
 * SmartConnect Booking Profile Model
 */
class Profile extends \Magento\Framework\Model\AbstractExtensibleModel
{
    /**
     * {@inheritdoc}
     */
    protected function _construct()
    {
        $this->_init(\Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Booking\Profile::class);
    }

    /**
     * Get profile code
     *
     * @return string
     */
    public function getCode()
    {
        return $this->getData('code');
    }

    /**
     * Set profile code
     *
     * @param string $value
     */
    public function setCode($value)
    {
        $this->setData('code', $value);
    }

    /**
     * Get carrier code
     *
     * This option is loaded by collection.
     * Carrier code is not stored in profiles table.
     *
     * @return string|null
     */
    public function getCarrierCode()
    {
        return $this->getData('carrier_code');
    }

    /**
     * Get service level time code
     *
     * This option is loaded by collection.
     * Service level time code is not stored in profiles table.
     *
     * @return string|null
     */
    public function getServiceLevelTimeCode()
    {
        return $this->getData('service_level_time_code');
    }

    /**
     * Get service level other code
     *
     * This option is loaded by collection.
     * Service level other code is not stored in profiles table.
     *
     * @return string|null
     */
    public function getServiceLevelOtherCode()
    {
        return $this->getData('service_level_other_code');
    }

    /**
     * Get incoterm code
     *
     * This option is loaded by collection.
     * Incoterm code is not stored in profiles table.
     *
     * @return string|null
     */
    public function getIncotermCode()
    {
        return $this->getData('incoterm_code');
    }

    /**
     * Get mail type code
     *
     * This option is loaded by collection.
     * Incoterm code is not stored in profiles table.
     *
     * @return string|null
     */
    public function getMailTypeCode()
    {
        return $this->getData('mail_type_code');
    }

    /**
     * Get costcenter code
     *
     * This option is loaded by collection.
     * costcenter code is not stored in profiles table.
     *
     * @return string|null
     */
    public function getCostcenterCode()
    {
        return $this->getData('costcenter_code');
    }

    /**
     * Get profile description
     *
     * @return string|null
     */
    public function getDescription()
    {
        return $this->getData('description');
    }

    /**
     * Set profile description
     *
     * @param string|null $value
     */
    public function setDescription($value)
    {
        $this->setData('description', $value);
    }

    /**
     * Get carrier id
     *
     * @return integer
     */
    public function getCarrierId()
    {
        return $this->getData('carrier_id');
    }

    /**
     * Set carrier id
     *
     * @param integer $value
     */
    public function setCarrierId($value)
    {
        $this->setData('carrier_id', $value);
    }

    /**
     * Get service level time id
     *
     * @return integer
     */
    public function getServiceLevelTimeId()
    {
        return $this->getData('slt_id');
    }

    /**
     * Set service level time id
     *
     * @param integer $value
     */
    public function setServiceLevelTimeId($value)
    {
        $this->setData('slt_id', $value);
    }

    /**
     * Get service level other id
     *
     * @return integer
     */
    public function getServiceLevelOtherId()
    {
        return $this->getData('slo_id');
    }

    /**
     * Set service level other id
     *
     * @param integer $value
     */
    public function setServiceLevelOtherId($value)
    {
        $this->setData('slo_id', $value);
    }

    /**
     * Get incoterm id
     *
     * @return integer
     */
    public function getIncotermId()
    {
        return $this->getData('incoterm_id');
    }

    /**
     * Set incoterm id
     *
     * @param integer $value
     */
    public function setIncotermId($value)
    {
        $this->setData('incoterm_id', $value);
    }

    /**
     * Get cost center id
     *
     * @return integer
     */
    public function getCostcenterId()
    {
        return $this->getData('costcenter_id');
    }

    /**
     * Set cost center id
     *
     * @param integer $value
     */
    public function setCostcenterId($value)
    {
        $this->setData('costcenter_id', $value);
    }

    /**
     * Get mail type id
     *
     * @return integer
     */
    public function getMailTypeId()
    {
        return $this->getData('mailtype_id');
    }

    /**
     * Set mail type id
     *
     * @param integer $value
     */
    public function setMailTypeId($value)
    {
        $this->setData('mailtype_id', $value);
    }
}
