<?php
namespace Bluebirdday\TranssmartSmartConnect\Model;

/**
 * Class Carrier
 * SmartConnect Carrier Model
 */
class Carrier extends \Magento\Framework\Model\AbstractExtensibleModel
{
    /**
     * {@inheritdoc}
     */
    protected function _construct()
    {
        $this->_init(\Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Carrier::class);
    }

    /**
     * Get carrier code
     *
     * @return string
     */
    public function getCode()
    {
        return $this->getData('code');
    }

    /**
     * Set carrier code
     *
     * @param string $value
     */
    public function setCode($value)
    {
        $this->setData('code', $value);
    }

    /**
     * Get carrier name
     *
     * @return string
     */
    public function getName()
    {
        return $this->getData('name');
    }

    /**
     * Set carrier name
     *
     * @param string $value
     */
    public function setName($value)
    {
        $this->setData('name', $value);
    }

    /**
     * Get location select availability flag
     *
     * @return bool
     */
    public function getLocationSelect()
    {
        return $this->getData('location_select');
    }

    /**
     * Set location select availability flag
     *
     * @param bool $value
     */
    public function setLocationSelect($value)
    {
        $this->setData('location_select', (bool)$value);
    }
}
