<?php
namespace Bluebirdday\TranssmartSmartConnect\Model;

/**
 * Class Costcenter
 * SmartConnect Costcenter Model
 */
class Costcenter extends \Magento\Framework\Model\AbstractExtensibleModel
{
    /**
     * {@inheritdoc}
     */
    protected function _construct()
    {
        $this->_init(\Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Costcenter::class);
    }

    /**
     * Get costcenter code
     *
     * @return string
     */
    public function getCode()
    {
        return $this->getData('code');
    }

    /**
     * Set costcenter code
     *
     * @param string $value
     */
    public function setCode($value)
    {
        $this->setData('code', $value);
    }

    /**
     * Get costcenter description
     *
     * @return string|null
     */
    public function getDescription()
    {
        return $this->getData('description');
    }

    /**
     * Set costcenter description
     *
     * @param string|null $value
     */
    public function setDescription($value)
    {
        $this->setData('description', $value);
    }

    /**
     * Is default costcenter for SmartConnect
     *
     * @return bool
     */
    public function getIsDefault()
    {
        return (bool)$this->getData('is_default');
    }

    /**
     * Set 'is default' costcenter status
     *
     * @param bool $value
     */
    public function setIsDefault($value)
    {
        $this->setData('is_default', (bool)$value);
    }
}
