<?php

namespace Bluebirdday\TranssmartSmartConnect\Model\Data;

/**
 * Class Package
 * @package Bluebirdday\TranssmartSmartConnect\Model\Data
 */
class Package extends \Bluebirdday\TranssmartSmartConnect\Model\Data\Container
{
    /**
     * @var array
     */
    protected $requiredFields = [
        'lineNo',
        'packageType',
        'quantity',
    ];

    /**
     * @var array
     */
    protected $optionalFields = [
        'measurements',
        'airwaybillNumber',
        'stackable',
        'stackHeight',
        'description'
    ];

    public function toArray(array $keys = [])
    {
        $variables = [];
        $this->checkRequiredFields();

        $fields = array_merge($this->optionalFields, $this->requiredFields);
        if ($this->getMeasurements() instanceof \Bluebirdday\TranssmartSmartConnect\Model\Data\Measurements) {
            $variables['measurements'] = $this->getMeasurements()->toArray();
            unset($fields[array_search('measurements', $fields)]);
        }

        foreach ($fields as $field) {
            $value = $this->getData($field);
            if ($value !== null) {
                $variables[$field] = $value;
            }
        }

        return $variables;
    }


    public function getLineNo()
    {
        return $this->getData('lineNo');
    }

    public function getAirwaybillNumber()
    {
        return $this->getData('airwaybillNumber');
    }

    public function getPackageType()
    {
        return $this->getData('packageType');
    }

    public function getQuantity()
    {
        return $this->getData('quantity');
    }

    public function getStackable()
    {
        return $this->getData('stackable');
    }

    public function getStackheight()
    {
        return $this->getData('stackheight');
    }

    /**
     * @return \Bluebirdday\TranssmartSmartConnect\Model\Data\Measurements
     */
    public function getMeasurements()
    {
        return $this->getData('measurements');
    }
}
