<?php
namespace Bluebirdday\TranssmartSmartConnect\Model;

/**
 * Class Incoterm
 * SmartConnect Incoterm Model
 */
class Incoterm extends \Magento\Framework\Model\AbstractExtensibleModel
{
    /**
     * {@inheritdoc}
     */
    protected function _construct()
    {
        $this->_init(\Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Incoterm::class);
    }

    /**
     * Get incoterm code
     *
     * @return string
     */
    public function getCode()
    {
        return $this->getData('code');
    }

    /**
     * Set incoterm code
     *
     * @param string $value
     */
    public function setCode($value)
    {
        $this->setData('code', $value);
    }

    /**
     * Get incoterm description
     *
     * @return string|null
     */
    public function getDescription()
    {
        return $this->getData('description');
    }

    /**
     * Set incoterm description
     *
     * @param string|null $value
     */
    public function setDescription($value)
    {
        $this->setData('description', $value);
    }

    /**
     * Is default incoterm for SmartConnect
     *
     * @return bool
     */
    public function getIsDefault()
    {
        return (bool)$this->getData('is_default');
    }

    /**
     * Set 'is default' incoterm status
     *
     * @param bool $value
     */
    public function setIsDefault($value)
    {
        $this->setData('is_default', (bool)$value);
    }
}
