<?php

namespace Bluebirdday\TranssmartSmartConnect\Model\Location\Request;

/**
 * Class Validator
 * Check if all request fields are filled
 */
class Validator
{
    /**
     * @var string
     */
    private $latestError = '';

    public function getError()
    {
        return $this->latestError;
    }

    public function isValid(\Bluebirdday\TranssmartSmartConnect\Model\Location\Request $request)
    {
        //if required field is empty \RuntimeException will be thrown on conversion to string
        try {
            $request->__toString();
        } catch (\RuntimeException $e) {
            $this->latestError = $e->getMessage();
            return false;
        }

        $this->latestError = '';
        return true;
    }
}
