<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Mail;

/**
 * Class Type
 * Transsmart Mail Type Model
 */
class Type extends \Magento\Framework\Model\AbstractExtensibleModel
{
    /**
     * {@inheritdoc}
     */
    protected function _construct()
    {
        $this->_init(\Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Mail\Type::class);
    }

    /**
     * Get mail type code
     *
     * @return string
     */
    public function getCode()
    {
        return $this->getData('code');
    }

    /**
     * Set mail type code
     *
     * @param string $value
     */
    public function setCode($value)
    {
        $this->setData('code', $value);
    }

    /**
     * Get mail type description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->getData('description');
    }

    /**
     * Set mail type description
     *
     * @param string $value
     */
    public function setDescription($value)
    {
        $this->setData('description', $value);
    }

    /**
     * Is default mail type for Transsmart
     *
     * @return bool
     */
    public function getIsDefault()
    {
        return (bool)$this->getData('is_default');
    }

    /**
     * Set 'is default' status
     *
     * @param bool $value
     */
    public function setIsDefault($value)
    {
        $this->setData('is_default', (bool)$value);
    }
}
