<?php

namespace Bluebirdday\TranssmartSmartConnect\Model;

use Magento\Framework\Option\ArrayInterface;

/**
 * Class OrderStatuses
 * @package Bluebirdday\TranssmartSmartConnect\Model
 */
class OrderStatuses implements ArrayInterface
{
    const TRANSSMART_ORDER_STATUS_NOT_APPLICABLE = 0;
    const TRANSSMART_ORDER_STATUS_PENDING = 1;
    const TRANSSMART_ORDER_STATUS_PARTIALLY_EXPORTED = 2;
    const TRANSSMART_ORDER_STATUS_EXPORTED = 3;
    const TRANSSMART_ORDER_STATUS_ERROR = 4;

    /**
     * Get list of available statuses.
     *
     * @return array
     */
    public static function getStatuses()
    {
        return [
            self::TRANSSMART_ORDER_STATUS_NOT_APPLICABLE,
            self::TRANSSMART_ORDER_STATUS_PENDING,
            self::TRANSSMART_ORDER_STATUS_PARTIALLY_EXPORTED,
            self::TRANSSMART_ORDER_STATUS_EXPORTED,
            self::TRANSSMART_ORDER_STATUS_ERROR
        ];
    }

    /**
     * @inheritdoc
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::TRANSSMART_ORDER_STATUS_NOT_APPLICABLE,
                'label' => __('N/A'),
            ],
            [
                'value' => self::TRANSSMART_ORDER_STATUS_PENDING,
                'label' => __('Pending'),
            ],
            [
                'value' => self::TRANSSMART_ORDER_STATUS_PARTIALLY_EXPORTED,
                'label' => __('Partially Exported'),
            ],
            [
                'value' => self::TRANSSMART_ORDER_STATUS_EXPORTED,
                'label' => __('Exported'),
            ],
            [
                'value' => self::TRANSSMART_ORDER_STATUS_ERROR,
                'label' => __('Error'),
            ],
        ];
    }

}