<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Quote;

class AddressManager
{
    /**
     * @var \Magento\Quote\Model\Quote\AddressFactory
     */
    private $addressFactory;

    /**
     * AddressManager constructor.
     * @param \Magento\Quote\Model\Quote\AddressFactory $addressFactory
     */
    public function __construct(
        \Magento\Quote\Model\Quote\AddressFactory $addressFactory
    ) {
        $this->addressFactory = $addressFactory;
    }

    /**
     * Get pickup address from quote addresses if any
     *
     * @param \Magento\Quote\Api\Data\CartInterface $quote
     * @return \Magento\Quote\Model\Quote\Address|null
     */
    public function getPickupAddress($quote)
    {
        return $this->getAddress($quote, 'pickup');
    }

    private function getAddress($quote, $type)
    {
        foreach ($quote->getAllAddresses() as $quoteAddress) {
            if ($quoteAddress->getAddressType() === $type) {
                return $quoteAddress;
            }
        }
        return null;
    }

    public function getEstimationAddress($quote)
    {
        return $this->getAddress($quote, 'estimation');
    }
}
