<?php

namespace Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Booking\Profile;
/**
 * Class Collection
 * Booking Profile Collection
 */
class Collection extends \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection
{
    /**
     * {@inheritdoc}
     */
    protected function _construct()
    {
        $this->_init(
            \Bluebirdday\TranssmartSmartConnect\Model\Booking\Profile::class,
            \Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Booking\Profile::class
        );
    }

    protected function _beforeLoad()
    {
        // join codes from 3 tables for quicker access on filtering rates
        $this->getSelect()->joinLeft(
            ['tc' => $this->getTable('transsmart_carrier')],
            'main_table.carrier_id = tc.carrier_id',
            ['carrier_code' => 'tc.code']
        );

        $this->getSelect()->joinLeft(
            ['slt' => $this->getTable('transsmart_service_level_time')],
            'main_table.slt_id = slt.service_level_id',
            ['service_level_time_code' => 'slt.code']
        );

        $this->getSelect()->joinLeft(
            ['slo' => $this->getTable('transsmart_service_level_other')],
            'main_table.slo_id = slo.service_level_id',
            ['service_level_other_code' => 'slo.code']
        );

        $this->getSelect()->joinLeft(
            ['incoterm' => $this->getTable('transsmart_incoterm')],
            'main_table.incoterm_id = incoterm.incoterm_id',
            ['incoterm_code' => 'incoterm.code']
        );

        $this->getSelect()->joinLeft(
            ['mailtype' => $this->getTable('transsmart_mail_type')],
            'main_table.mailtype_id = mailtype.mailtype_id',
            ['mailtype_code' => 'mailtype.code']
        );

        $this->getSelect()->joinLeft(
            ['costcenter' => $this->getTable('transsmart_costcenter')],
            'main_table.costcenter_id = costcenter.costcenter_id',
            ['costcenter_code' => 'costcenter.code']
        );

        return parent::_beforeLoad();
    }

    /**
     * @inheritdoc
     */
    protected function _toOptionArray($valueField = 'code', $labelField = 'description', $additional = [])
    {
        return parent::_toOptionArray($valueField, $labelField, $additional);
    }
}
