<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Sales;

class OrderRepositoryPlugin
{
    /**
     * Initialize service point id if any
     *
     * @param \Magento\Sales\Model\OrderRepository $subject
     * @param \Magento\Sales\Api\Data\OrderInterface $result
     * @return \Magento\Sales\Api\Data\OrderInterface
     */
    public function afterGet(
        \Magento\Sales\Model\OrderRepository $subject,
        \Magento\Sales\Api\Data\OrderInterface $result
    ) {
        /** @var \Magento\Sales\Api\Data\OrderAddressInterface $shippingAddress */
        $shippingAddress = $result->getShippingAddress();
        //case of virtual products only in order
        if (!$shippingAddress) {
            return $result;
        }

        $companyParts = explode('::', $shippingAddress->getCompany());
        if (count($companyParts) === 2) {
            $shippingAddress->setCompany($companyParts[0]);
            $shippingAddress->setTranssmartServicePointId($companyParts[1]);
        }
        return $result;
    }
}
