<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Servicelevel;

/**
 * Class Other
 * Transsmart Service Level Other Model
 */
class Other extends \Magento\Framework\Model\AbstractExtensibleModel
{
    /**
     * {@inheritdoc}
     */
    protected function _construct()
    {
        $this->_init(\Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Servicelevel\Other::class);
    }

    /**
     * Get service level code
     *
     * @return string
     */
    public function getCode()
    {
        return $this->getData('code');
    }

    /**
     * Set service level code
     *
     * @param string $value
     */
    public function setCode($value)
    {
        $this->setData('code', $value);
    }

    /**
     * Get service level description
     *
     * @return string|null
     */
    public function getDescription()
    {
        return $this->getData('description');
    }

    /**
     * Set service level description
     *
     * @param string|null $value
     */
    public function setDescription($value)
    {
        $this->setData('description', $value);
    }

    /**
     * Is default service level for Transsmart
     *
     * @return bool
     */
    public function getIsDefault()
    {
        return (bool)$this->getData('is_default');
    }

    /**
     * Set 'is default' service level
     *
     * @param bool $value
     */
    public function setIsDefault($value)
    {
        $this->setData('is_default', (bool)$value);
    }
}
