<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Servicelevel;

/**
 * Class OtherRepository
 * @package Bluebirdday\TranssmartSmartConnect\Model\Servicelevel
 */
class OtherRepository implements \Bluebirdday\TranssmartSmartConnect\Model\Entity\RepositoryInterface
{
    /**
     * @var OtherFactory
     */
    protected $otherFactory;

    /**
     * @var \Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Servicelevel\Other\CollectionFactory
     */
    protected $collectionFactory;

    /**
     * @var \Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Servicelevel\Other
     */
    protected $resourceModel;

    /**
     * OtherRepository constructor.
     * @param OtherFactory $otherFactory
     * @param \Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Servicelevel\Other\CollectionFactory $collectionFactory
     * @param \Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Servicelevel\Other $resourceModel
     */
    public function __construct(
        \Bluebirdday\TranssmartSmartConnect\Model\Servicelevel\OtherFactory $otherFactory,
        \Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Servicelevel\Other\CollectionFactory $collectionFactory,
        \Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Servicelevel\Other $resourceModel
    ) {
        $this->otherFactory = $otherFactory;
        $this->collectionFactory = $collectionFactory;
        $this->resourceModel = $resourceModel;
    }

    /**
     * @return \Bluebirdday\TranssmartSmartConnect\Model\Servicelevel\Other[]
     */
    public function getList()
    {
        /** @var \Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Servicelevel\Other\Collection $collection */
        $collection = $this->collectionFactory->create();
        return $collection->getItems();
    }

    /**
     * @param Other $servicelevelModel
     */
    public function save($servicelevelModel)
    {
        $this->resourceModel->save($servicelevelModel);
    }

    /**
     * Load service level by id
     *
     * @param integer $id
     * @return Other
     */
    public function load($id)
    {
        /** @var \Bluebirdday\TranssmartSmartConnect\Model\Servicelevel\Other $model */
        $model = $this->otherFactory->create();
        $this->resourceModel->load($model, $id, null);
        return $model;
    }

    /**
     * Load service level by code
     *
     * @param string $code
     * @return Other
     */
    public function loadByCode($code)
    {
        /** @var \Bluebirdday\TranssmartSmartConnect\Model\Servicelevel\Other $model */
        $model = $this->otherFactory->create();
        $this->resourceModel->load($model, $code, 'code');
        return $model;
    }

    /**
     * @param \Bluebirdday\TranssmartSmartConnect\Model\Servicelevel\Other $servicelevelModel
     */
    public function delete($servicelevelModel)
    {
        $this->resourceModel->delete($servicelevelModel);
    }
}
