<?php
namespace Bluebirdday\TranssmartSmartConnect\Model\Transsmart;
use Magento\Framework\Api\AttributeValueFactory;
use Magento\Framework\Api\ExtensionAttributesFactory;

/**
 * Class Sync
 * @package Bluebirdday\TranssmartSmartConnect\Model\SmartConnect
 */
class Sync extends \Magento\Framework\Model\AbstractExtensibleModel
{
    /**
     * {@inheritdoc}
     */
    protected function _construct()
    {
        $this->_init(\Bluebirdday\TranssmartSmartConnect\Model\ResourceModel\Transsmart\Sync::class);
    }


    /**
     * Get sync type
     *
     * @return string
     */
    public function getType()
    {
        return $this->getData('type');
    }

    /**
     * Set sync type
     *
     * @param string $value
     */
    public function setType($value)
    {
        $this->setData('type', $value);
    }

    /**
     * Get sync status
     *
     * @return string
     */
    public function getStatus()
    {
        return $this->getData('status');
    }

    /**
     * Set sync status
     *
     * @param string $value
     */
    public function setStatus($value)
    {
        $this->setData('status', $value);
    }

    /**
     * Get sync message
     *
     * @return string
     */
    public function getMessage()
    {
        return $this->getData('message');
    }

    /**
     * Set sync message
     *
     * @param string $value
     */
    public function setMessage($value)
    {
        $this->setData('message', $value);
    }

    /**
     * Get sync date
     *
     * @return string
     */
    public function getCreatedAt()
    {
        return $this->getData('created_at');
    }

    /**
     * Set sync date
     *
     * @param string $value
     */
    public function setCreatedAt($value)
    {
        $this->setData('created_at', $value);
    }

    /**
     * @inheritdoc
     */
    public function beforeSave()
    {
        if ($this->isObjectNew()) {
            $this->setCreatedAt(time());
        }

        return parent::beforeSave();
    }
}
