<?php
namespace Bluebirdday\TranssmartSmartConnect\Observer;

use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Event\Observer as EventObserver;

/**
 * Class PureCompanyNameAfterSaveObserver
 * @package Bluebirdday\TranssmartSmartConnect\Observer
 */
class PureCompanyNameAfterSaveObserver implements ObserverInterface
{
    /**
     * Add pickup address information to quote
     *
     * @param EventObserver $observer
     * @return void
     */
    public function execute(EventObserver $observer)
    {
        /** @var \Magento\Sales\Model\Order\Address $address */
        $address = $observer->getEvent()->getData('address');
        if (!$address) {
            return;
        }
        $companyParts = explode('::', $address->getCompany());
        if (count($companyParts) === 2) {
            $address->setCompany($companyParts[0]);
            $address->setTranssmartServicePointId($companyParts[1]);
        }
    }
}
