<?php
namespace Bluebirdday\TranssmartSmartConnect\Observer;

use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Event\Observer as EventObserver;

/**
 * Class ServicePointImplodeOnSaveObserver
 * @package Bluebirdday\TranssmartSmartConnect\Observer
 */
class ServicePointImplodeOnSaveObserver implements ObserverInterface
{
    /**
     * Add pickup address information to quote
     *
     * @param EventObserver $observer
     * @return void
     */
    public function execute(EventObserver $observer)
    {
        /** @var \Magento\Sales\Model\Order\Address $address */
        $address = $observer->getEvent()->getData('address');
        if ($address && $address->getTranssmartServicePointId()) {
            $data = [
                $address->getCompany(),
                $address->getTranssmartServicePointId(),
            ];
            $address->setCompany(implode('::', $data));
        }
    }
}
