define([
    'uiComponent',
    'Magento_Checkout/js/model/shipping-rate-service',
    'Magento_Checkout/js/model/shipping-save-processor',
    'Bluebirdday_TranssmartSmartConnect/js/model/shipping-pickup-save-processor',
    'Bluebirdday_TranssmartSmartConnect/js/model/shipping-rate-processor/new-address'
], function (
    Component,
    shippingRateService,
    shippingSaveProcessor,
    customShippingSaveProcessor,
    newAddressShippingRateProcessor
) {
    'use strict';

    /** Register rate processor */
    shippingRateService.registerProcessor('new-customer-address', newAddressShippingRateProcessor);
    // we use the same processor because we need to mix selected profile in
    shippingRateService.registerProcessor('customer-address', newAddressShippingRateProcessor);

    /** Register save shipping address processor */
    shippingSaveProcessor.registerProcessor('new-customer-address', customShippingSaveProcessor);
    shippingSaveProcessor.registerProcessor('customer-address', customShippingSaveProcessor);

    /** Add view logic here if needed */
    return Component.extend({});
}
);