define([
    'jquery',
    'uiComponent',
    'ko',
    'Bluebirdday_TranssmartSmartConnect/js/model/location-model',
    'Magento_Checkout/js/model/quote',
    'mage/translate'
], function ($, Component, ko, locationModal, quote) {
    'use strict';

    var self;
    return Component.extend({
        defaults: {
            template: 'Bluebirdday_TranssmartSmartConnect/trigger'
        },

        buttonText: ko.observable($.mage.__('Select location')),
        selectedLocationData: locationModal.selectedLocationData,
        carrierTitle: ko.observable(''),

        initialize: function () {
            self = this;
            this._super();

            self.selectedLocationData.subscribe(function(data) {
                self.carrierTitle(data.carrier_title);
                self.buttonText($.mage.__('Change location'));
            });

        },

        openModal: function () {
            locationModal.modal.openModal();

            // Start searching after opening Modal
            if (!locationModal.countLocations()) {
                locationModal.search();
            }
        }

    });
});


