define([
    'jquery',
    'uiComponent',
    'Magento_Checkout/js/model/quote',
    'Magento_Checkout/js/model/step-navigator',
    'Magento_Checkout/js/model/sidebar',
    'Bluebirdday_TranssmartSmartConnect/js/model/location-model'
], function ($, Component, quote, stepNavigator, sidebarModel, locationModal) {
    'use strict';

    return Component.extend({
        defaults: {
            template: 'Bluebirdday_TranssmartSmartConnect/pickup-information'
        },

        /**
         * @return {Boolean}
         */
        isVisible: function () {
            return !quote.isVirtual()
                && stepNavigator.isProcessed('shipping')
                && locationModal.selectedLocationData();
        },

        /**
         * Back step.
         */
        back: function () {
            sidebarModel.hide();
            stepNavigator.navigateTo('shipping');
        }
    });
});
