/**
 * @see vendor/magento/module-checkout/view/frontend/web/js/view/shipping-information/address-renderer/default.js
 *
 * Here we just override the default template because component is created dynamically(not on layout)
 */

define([
    'uiComponent',
    'Magento_Customer/js/customer-data'
], function (Component, customerData) {
    'use strict';

    var countryData = customerData.get('directory-data');

    return Component.extend({
        defaults: {
            //this component is not configured on layout, so we have to override template here
            template: 'Bluebirdday_TranssmartSmartConnect/shipping-information/address-renderer/default'
        },

        /**
         * @param {*} countryId
         * @return {String}
         */
        getCountryName: function (countryId) {
            return countryData()[countryId] != undefined ? countryData()[countryId].name : ''; //eslint-disable-line
        }
    });
});
